Light Logo
Search

Search models

Retrieve a list of non private models that match the search query.

GET
/search/models
AuthorizationBearer <token>

In: header

Query Parameters

cursor?Cursor

The starting point to fetch the next set of items.

page_size?Page Size

The number of results per page.

Default25
Range5 <= value <= 50
qQ

The search query.

Length1 <= length <= 50

Response Body

curl -X GET "https://api.wrift.ai/v1/search/models?cursor=string&page_size=25&q=string"
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "kokoro-82m",
      "created_at": "2024-06-12T14:22:31Z",
      "visibility": "public",
      "description": "A lightweight text-to-speech model that delivers high-quality, natural voice synthesis while remaining fast, efficient, and easy to deploy for both production and personal projects.",
      "updated_at": "2024-06-12T14:25:03Z",
      "owner": {
        "account_id": "8f2b1e4a-9c3d-4f6e-b1a2-7d8e9f0a1b2c",
        "name": "jane-doe",
        "avatar_url": "https://wrift.ai/avatars/jane-doe.png"
      },
      "predictions_count": 1284,
      "categories": [
        {
          "name": "Text to Speech",
          "slug": "text-to-speech"
        }
      ],
      "cover_image_url": "https://wrift.ai/models/kokoro-82m/cover.png"
    }
  ],
  "next_cursor": "eyJyZXZlcnNlIjpmYWxzZSwic3RhcnRfaWQiOiI0OTdmNmVjYS02Mjc2LTQ5OTMtYmZlYi01M2NiYmJiYTZmMDgiLCJzdGFydF9jcmVhdGVkX2F0IjoiMjAyNC0wNi0xMlQxNDoyMjozMVoifQ==",
  "previous_cursor": "eyJyZXZlcnNlIjpmYWxzZSwic3RhcnRfaWQiOiJmZmZmOTk5OS05OTk5LTk5OTktOTk5OS1mZmZmZmZmZmZmZmYiLCJzdGFydF9jcmVhdGVkX2F0IjoiMjAyNC0wNS0wMVQwOTowMDowMFoifQ=="
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}